Step 1: Build a withdraw transaction
Returns an unsigned transaction that withdraws USDC to your external wallet; sign it and submit via POST /transactions/withdraw/submit.
POST
/
transactions
/
withdraw
Step 1: Build a withdraw transaction
curl --request POST \
--url https://api.trepa.app/transactions/withdraw \
--header 'Content-Type: application/json' \
--data '
{
"to_address": "<string>",
"amount": 123
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({to_address: '<string>', amount: 123})
};
fetch('https://api.trepa.app/transactions/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({to_address: '<string>', amount: 123})
};
fetch('https://api.trepa.app/transactions/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/transactions/withdraw"
payload = {
"to_address": "<string>",
"amount": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/transactions/withdraw"
payload := strings.NewReader("{\n \"to_address\": \"<string>\",\n \"amount\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transaction": "<string>",
"proof": "<string>"
}Last modified on August 12, 2026
⌘I
Step 1: Build a withdraw transaction
curl --request POST \
--url https://api.trepa.app/transactions/withdraw \
--header 'Content-Type: application/json' \
--data '
{
"to_address": "<string>",
"amount": 123
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({to_address: '<string>', amount: 123})
};
fetch('https://api.trepa.app/transactions/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({to_address: '<string>', amount: 123})
};
fetch('https://api.trepa.app/transactions/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trepa.app/transactions/withdraw"
payload = {
"to_address": "<string>",
"amount": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trepa.app/transactions/withdraw"
payload := strings.NewReader("{\n \"to_address\": \"<string>\",\n \"amount\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"transaction": "<string>",
"proof": "<string>"
}